CFG80211_RX_MLME_MGM(9)

NAME
cfg80211_rx_mlme_mgmt - notification of processed MLME management frame

SYNOPSIS

void cfg80211_rx_mlme_mgmt(struct net_device * dev, const u8 * buf, size_t len);

ARGUMENTS

dev
    network device

buf
    authentication frame (header + body)

len
    length of the frame data

DESCRIPTION

This function is called whenever an authentication, disassociation or deauthentication frame has been received and processed in station mode.

AFTER BEING ASKED TO AUTHENTICATE VIA CFG80211_OPS

:auth the driver must call either this function or cfg80211_auth_timeout.

AFTER BEING ASKED TO ASSOCIATE VIA CFG80211_OPS

:assoc the driver must call either this function or cfg80211_auth_timeout. While connected, the driver must calls this for received and processed disassociation and deauthentication frames. If the frame couldn't be used because it was unprotected, the driver must call the function cfg80211_rx_unprot_mlme_mgmt instead.

This function may sleep. The caller must hold the corresponding wdev's mutex.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT